%global artifactId javax.servlet.jsp-api
%global jspspec 2.2


%{?scl:%scl_package glassfish-jsp-api}
%{!?scl:%global pkg_name %{name}}
%{!?maven_scl:%global maven_scl_prefix %{nil}}


Name:       %{?scl_prefix}glassfish-jsp-api
Version:    2.2.1
Release:    10%{?dist}
Summary:    Glassfish J2EE JSP API specification

Group:      Development/Libraries
License:    (CDDL or GPLv2 with exceptions) and ASL 2.0
URL:        http://java.net/jira/browse/JSP
Source0:    %{artifactId}-%{version}.tar.xz
# no source releases, but this will generate tarball for you from an
# SVN tag
Source1:    generate_tarball.sh
Source2:    http://www.apache.org/licenses/LICENSE-2.0.txt
Source3:    http://hub.opensolaris.org/bin/download/Main/licensing/cddllicense.txt

BuildArch:  noarch

BuildRequires:  %{maven_scl_prefix}maven-local
BuildRequires:  %{maven_scl_prefix}maven-plugin-bundle
BuildRequires:  %{maven_scl_prefix}maven-jar-plugin
BuildRequires:  %{maven_scl_prefix}maven-compiler-plugin
BuildRequires:  %{maven_scl_prefix}maven-source-plugin
BuildRequires:  %{maven_scl_prefix}maven-javadoc-plugin
BuildRequires:  %{maven_scl_prefix}jvnet-parent
BuildRequires:  %{maven_scl_prefix}mvn(javax.servlet:javax.servlet-api)
BuildRequires:  %{maven_scl_prefix}mvn(javax.el:javax.el-api)

#Requires:       jvnet-parent
#Requires:       mvn(javax.servlet:javax.servlet-api)
#Requires:       mvn(javax.el:javax.el-api)
%{?scl:Requires: %scl_runtime}

%description
This project provides a container independent specification of JSP
2.2. Note that this package doesn't contain implementation of this
specification. See glassfish-jsp for one of implementations

%package javadoc
Summary:        API documentation for %{pkg_name}
Group:          Documentation
Requires:       jpackage-utils >= 0:1.7.5
BuildArch:      noarch

%description javadoc
%{summary}.

%prep
%setup -q -n %{artifactId}-%{version}
cp -p %{SOURCE2} LICENSE
cp -p %{SOURCE3} cddllicense.txt

# Submited upstream: http://java.net/jira/browse/JSP-31
sed -i "/<bundle.symbolicName>/s/-api//" pom.xml

%build
scl enable %{scl} - <<EOF
%mvn_build
EOF


%install

scl enable %{scl} - <<EOF
%mvn_install
EOF

jdir=target/site/apidocs
install -dm755 %{buildroot}%{_javadocdir}/%{pkg_name}
for f in `ls $jdir | grep -E "html|css"`; do
  cp $jdir/$f %{buildroot}%{_javadocdir}/%{pkg_name}/;
  echo %{_javadocdir}/%{pkg_name}/$f >> %{_builddir}/%{artifactId}-%{version}/.mfiles-javadoc;
done

%files -f .mfiles
%doc LICENSE cddllicense.txt

%files javadoc -f .mfiles-javadoc
%doc LICENSE cddllicense.txt


%changelog
* Mon May 19 2014 Jeff Johnston <jjohnstn@redhat.com> 2.2.1-10
- Update to build SCL-ized.

* Fri Mar 22 2013 Krzysztof Daniel <kdaniel@redhat.com> 2.2.1-9
- Specify add_maven_depmap parameters.

* Fri Mar 22 2013 Krzysztof Daniel <kdaniel@redhat.com> 2.2.1-8
- Properly sclize the name.

* Fri Mar 22 2013 Krzysztof Daniel <kdaniel@redhat.com> 2.2.1-7
- Initial import from RHEL7 and SCLization.

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Feb 06 2013 Java SIG <java-devel@lists.fedoraproject.org> - 2.2.1-5
- Update for https://fedoraproject.org/wiki/Fedora_19_Maven_Rebuild
- Replace maven BuildRequires with maven-local

* Fri Oct 19 2012 Mikolaj Izdebski <mizdebsk@redhat.com> 2.2.1-4
- Change OSGi Bundle-SymbolicName to better match Eclipse needs
- Update URL
- Resolves: rhbz#868169

* Tue Sep  4 2012 Mikolaj Izdebski <mizdebsk@redhat.com> - 2.2.1-3
- Fix license tag
- Install license files

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Wed Mar 21 2012 Stanislav Ochotnicky <sochotnicky@redhat.com> - 2.2.1-1
- Initial version of the package
